Subject: Re: [PATCH v2] merge-file: fix BUG when --object-id is used in a worktree

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Mar 2026 12:45:54 -0700

"Mathias Rav" <[email-masked]> writes:

> On Wed, Mar 11, 2026, at 6:44 AM, Mathias Rav wrote:
>> Thanks Karthik, Patrick, Kristoffer and Junio for your feedback.
>> I've incorporated the sum of it all in this PATCH v2:
>> 
>> - Check !repo before object_id and add a comment
>> - Use term "linked worktree" instead of just "worktree" throughout
>> - Use git -C instead of a subshell in test
>> - Remove gitk's quotes from the commit references in the commit message
>
> I'm unsure of the process from here for a small bugfix like this.
> I believe I followed the SubmittingPatches document
> by sending a PATCH v2 with To: Junio, Cc: list and others.
> Do I need to do anything else to see this patch eventually land in Junio's tree?

Pinging like this was absolutely the right thing to do in this case,
as the patch fell through the cracks.  Will apply (assuming that
everybody involved in the review is now happy with this iteration).

Thanks.